"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread"));

const {
  EOL
} = require('os');

const cosmiconfigListLoader = require('../../utils/cosmiconfigListLoader');

const {
  formatJson
} = require('../../utils/file');

const {
  hasJest,
  hasPrettier,
  hasReact
} = require('../../utils/hasDependency');

const loadAndMergeConfig = require('../../utils/loadAndMergeConfig');

const prettierConfig = loadAndMergeConfig('prettier');
delete prettierConfig.overrides;
module.exports = [{
  filename: '.eslintrc',
  get: configuredTools => {
    const config = loadAndMergeConfig('eslint');
    const hasPrettierCheck = hasPrettier(configuredTools);
    const hasJestCheck = hasJest(configuredTools);
    const hasReactCheck = hasReact(configuredTools);
    return (0, _objectSpread2.default)({}, config, {
      extends: [...config.extends, hasReactCheck ? 'plugin:react/recommended' : false, hasPrettierCheck ? 'prettier' : false, hasPrettierCheck && hasReactCheck ? 'prettier/react' : false].filter(Boolean),
      env: (0, _objectSpread2.default)({}, config.env, hasJestCheck && {
        jest: {
          global: true
        }
      }),
      plugins: [...config.plugins, hasReactCheck ? 'react' : false, hasJestCheck ? 'jest' : false].filter(Boolean) // Disabled for now as ESLint complaints about the unknown "prettier/prettier" rule
      // rules: {
      //   ...config.rules,
      //   ...(hasPrettierCheck && { 'prettier/prettier': ['error', { ...prettierConfig }] }),
      // },

    });
  },
  format: config => formatJson(config)
}, {
  filename: '.eslintignore',
  get: () => loadAndMergeConfig('eslint', [], {
    searchPlaces: ['.eslintignore'],
    loaders: {
      noExt: cosmiconfigListLoader
    }
  }),
  format: config => config.join(EOL)
}];