"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread"));

const {
  formatJson
} = require('../../utils/file');

const {
  hasPrettier,
  hasReact
} = require('../../utils/hasDependency');

const loadAndMergeConfig = require('../../utils/loadAndMergeConfig');

module.exports = [{
  filename: 'tslint.json',
  get: configuredTools => {
    const config = loadAndMergeConfig('tslint', {}, {
      searchPlaces: ['tslint.json']
    });
    return (0, _objectSpread2.default)({}, config, {
      extends: [...config.extends, hasPrettier(configuredTools) ? 'tslint-config-prettier' : false, hasReact(configuredTools) ? 'tslint-react' : false].filter(Boolean)
    });
  },
  format: config => formatJson(config)
}];