"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread"));

const cosmiconfig = require('cosmiconfig');

const fs = require('fs');

const path = require('path');

module.exports = function (toolName, initialValue = {}, cosmiconfigOptions = {}) {
  const toolDirectory = fs.realpathSync(path.join(__dirname, '../../config', toolName));
  const defaultConfigExplorer = cosmiconfig(toolName, (0, _objectSpread2.default)({}, cosmiconfigOptions, {
    stopDir: toolDirectory
  }));
  const defaultConfigSearch = defaultConfigExplorer.searchSync(toolDirectory);
  const defaultConfig = defaultConfigSearch ? defaultConfigSearch.config : initialValue;
  const overwriteConfigDirectory = path.join(process.cwd(), '.knuckle');
  let overwriteConfig;

  try {
    fs.accessSync(overwriteConfigDirectory);
    const overwriteConfigExplorer = cosmiconfig(toolName, (0, _objectSpread2.default)({}, cosmiconfigOptions, {
      stopDir: overwriteConfigDirectory
    }));
    const overwriteConfigSearch = overwriteConfigExplorer.searchSync(overwriteConfigDirectory);
    overwriteConfig = overwriteConfigSearch ? overwriteConfigSearch.config : initialValue;
  } catch (e) {
    overwriteConfig = Array.isArray(initialValue) ? [] : {};
  }

  if (Array.isArray(initialValue)) {
    return [...initialValue, ...defaultConfig, ...overwriteConfig];
  } else {
    return (0, _objectSpread2.default)({}, initialValue, defaultConfig, overwriteConfig);
  }
};